package es.cipfpbatoi.modelo;

import jakarta.persistence.AttributeOverride;
import jakarta.persistence.AttributeOverrides;
import jakarta.persistence.Column;
import jakarta.persistence.EmbeddedId;
import jakarta.persistence.Entity;
import jakarta.persistence.FetchType;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;

/**
 * FilmCategory generated by hbm2java
 */
@Entity
@Table(name = "film_category", catalog = "sakila")
public class FilmCategory implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private FilmCategoryId id;
	private Category category;
	private Film film;

	public FilmCategory() {
	}

	public FilmCategory(FilmCategoryId id, Category category, Film film) {
		this.id = id;
		this.category = category;
		this.film = film;
	}

	@EmbeddedId

	@AttributeOverrides({ @AttributeOverride(name = "filmId", column = @Column(name = "film_id", nullable = false)),
			@AttributeOverride(name = "categoryId", column = @Column(name = "category_id", nullable = false)) })
	public FilmCategoryId getId() {
		return this.id;
	}

	public void setId(FilmCategoryId id) {
		this.id = id;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "category_id", nullable = false, insertable = false, updatable = false)
	public Category getCategory() {
		return this.category;
	}

	public void setCategory(Category category) {
		this.category = category;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "film_id", nullable = false, insertable = false, updatable = false)
	public Film getFilm() {
		return this.film;
	}

	public void setFilm(Film film) {
		this.film = film;
	}

	

}
